#include "CAN_CH0_CAN_Communication_Matrix.h"
#include "CAN_Message_Types.h"
#include "CAN_CH0_APP.h"
/* 2023/02/14 13:08:27 */
st_CanMsgOp CAN_CH0_CanMsgOp;
st_CanMsgTxOp CAN_CH0_CanMsgTxOp;
#define CAN_CH0 &CAN_CH0_CanMsgOp

const st_CAN_SendAttribute    CAN_CH0_CANSendAttr[CAN_CH0_ID_SEND_TOTAL] =
{
  {0x18FEF117ul,  100ul * 1000ul,   5ul * 1000ul, 0u, MSG_EXT, 4u, 8u, CAN_MSG_CYCLE, Can_Set_Buff_18FEF117, ( void * )0},
  {0x18FEF100ul,  100ul * 1000ul,   0ul * 1000ul, 0u, MSG_EXT, 5u, 8u, CAN_MSG_CYCLE, Can_Set_Buff_18FEF100, ( void * )0},
  {0x18F10117ul,  100ul * 1000ul,   7ul * 1000ul, 0u, MSG_EXT, 6u, 8u, CAN_MSG_CYCLE, Can_Set_Buff_18F10117, ( void * )0},
  {0x18FEAE17ul,  100ul * 1000ul,  13ul * 1000ul, 0u, MSG_EXT, 7u, 8u, CAN_MSG_CYCLE, Can_Set_Buff_18FEAE17, ( void * )0},
  {0x18FEAE30ul,  100ul * 1000ul,   9ul * 1000ul, 0u, MSG_EXT, 8u, 8u, CAN_MSG_CYCLE, Can_Set_Buff_18FEAE30, ( void * )0},
  {0x18F10217ul,  100ul * 1000ul,  12ul * 1000ul, 0u, MSG_EXT, 9u, 8u, CAN_MSG_CYCLE, Can_Set_Buff_18F10217, ( void * )0},
  {0x18000001ul,  100ul * 1000ul,  11ul * 1000ul, 0u, MSG_EXT,10u, 8u, CAN_MSG_CYCLE, Can_Set_Buff_18000001, ( void * )0},

  {0x0CFDCC17ul,  100ul * 1000ul,  11ul * 1000ul, 0u, MSG_EXT,10u, 8u, CAN_MSG_CYCLE, Can_Set_Buff_0CFDCC17, ( void * )0},
  {0x0CFEC317ul,  100ul * 1000ul,  11ul * 1000ul, 0u, MSG_EXT,10u, 8u, CAN_MSG_CYCLE, Can_Set_Buff_0CFEC317, ( void * )0},
  {0x0CD22F27ul,  100ul * 1000ul,  11ul * 1000ul, 0u, MSG_EXT,10u, 8u, CAN_MSG_CYCLE, Can_Set_Buff_0CD22F27, ( void * )0},
  {0x18FAB017ul,  100ul * 1000ul,  11ul * 1000ul, 0u, MSG_EXT,10u, 8u, CAN_MSG_CYCLE, Can_Set_Buff_18FAB017, ( void * )0},
  {0x18FF0121ul,  100ul * 1000ul,  11ul * 1000ul, 0u, MSG_EXT,10u, 8u, CAN_MSG_CYCLE, Can_Set_Buff_18FF0121, ( void * )0},
  {0x18FF0221ul,  100ul * 1000ul,  11ul * 1000ul, 0u, MSG_EXT,10u, 8u, CAN_MSG_CYCLE, Can_Set_Buff_18FF0221, ( void * )0},
  {0x18FF0321ul,  100ul * 1000ul,  11ul * 1000ul, 0u, MSG_EXT,10u, 8u, CAN_MSG_CYCLE, Can_Set_Buff_18FF0321, ( void * )0},
};

const st_CANMsgAttribute CAN_CH0_CAN_MSG_CONST_ARRAY[CAN_CH0_ID_TOTAL_MAX] =
{
    {
        {0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u},
        {0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u},
        {0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u},
        5000ul,
        0x18FF30E1ul,
        (( void * )0),
        (( void * )0),
        (( void * )0),
    },
    {
        {0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u},
        {0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u},
        {0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u},
        5000ul,
        0x18FE4F0Bul,
        (( void * )0),
        (( void * )0),
        (( void * )0),
    },
    {
        {0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u},
        {0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u},
        {0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u},
        5000ul,
        0x189116EFul,
        (( void * )0),
        (( void * )0),
        (( void * )0),
    },
    {
        {0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u},
        {0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u},
        {0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u},
        5000ul,
        0x18FF31E0ul,
        (( void * )0),
        (( void * )0),
        (( void * )0),
    },
    {
        {0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u},
        {0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u},
        {0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u},
        5000ul,
        0xCFE5A2Ful,
        (( void * )0),
        (( void * )0),
        (( void * )0),
    },
    {
        {0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u},
        {0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u},
        {0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u},
        5000ul,
        0x18FF4AEFul,
        (( void * )0),
        (( void * )0),
        (( void * )0),
    },
    {
        {0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u},
        {0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u},
        {0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u},
        5000ul,
        0x18FFFE9Cul,
        (( void * )0),
        (( void * )0),
        (( void * )0),
    },
    {
        {0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u},
        {0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u},
        {0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u},
        5000ul,
        0x18FF0321ul,
        (( void * )0),
        (( void * )0),
        (( void * )0),
    },
    {
        {0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u},
        {0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u},
        {0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u},
        5000ul,
        0x18FF0221ul,
        (( void * )0),
        (( void * )0),
        (( void * )0),
    },
    {
        {0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u},
        {0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u},
        {0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u},
        5000ul,
        0x18FF0121ul,
        (( void * )0),
        (( void * )0),
        (( void * )0),
    },
    {
        {0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u},
        {0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u},
        {0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u},
        5000ul,
        0x18FAB017ul,
        (( void * )0),
        (( void * )0),
        (( void * )0),
    },
    {
        {0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u},
        {0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u},
        {0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u},
        5000ul,
        0xCD22F27ul,
        (( void * )0),
        (( void * )0),
        (( void * )0),
    },
    {
        {0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u},
        {0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u},
        {0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u},
        5000ul,
        0x1CFEC317ul,
        (( void * )0),
        (( void * )0),
        (( void * )0),
    },
    {
        {0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u},
        {0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u},
        {0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u},
        5000ul,
        0xCFDCC17ul,
        (( void * )0),
        (( void * )0),
        (( void * )0),
    },
    {
        {0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u},
        {0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u},
        {0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u},
        5000ul,
        0x18F10217ul,
        (( void * )0),
        (( void * )0),
        (( void * )0),
    },
    {
        {0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u},
        {0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u},
        {0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u},
        5000ul,
        0x18FEAE30ul,
        (( void * )0),
        (( void * )0),
        (( void * )0),
    },
    {
        {0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u},
        {0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u},
        {0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u},
        5000ul,
        0x18FEAE17ul,
        (( void * )0),
        (( void * )0),
        (( void * )0),
    },
    {
        {0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u},
        {0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u},
        {0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u},
        5000ul,
        0x18F10117ul,
        (( void * )0),
        (( void * )0),
        (( void * )0),
    },
    {
        {0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u},
        {0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u},
        {0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u},
        5000ul,
        0x18FEF100ul,
        (( void * )0),
        (( void * )0),
        (( void * )0),
    },
    {
        {0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u},
        {0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u},
        {0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u},
        5000ul,
        0x18FE17EFul,
        (( void * )0),
        (( void * )0),
        (( void * )0),
    },
    {
        {0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u},
        {0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u},
        {0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u},
        5000ul,
        0x18FEF117ul,
        (( void * )0),
        (( void * )0),
        (( void * )0),
    },
    {
        {0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u},
        {0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u},
        {0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u},
        5000ul,
        0x18FFA017ul,
        (( void * )0),
        (( void * )0),
        (( void * )0),
    },
    {
        {0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u},
        {0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u},
        {0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u},
        5000ul,
        0x18000000ul,
        (( void * )0),
        (( void * )0),
        (( void * )0),
    },
};

uint8_t  Get_ID_18FF30E1_Sig_ECAS_Decrease(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18FF30E1_Msg_Count, 3u) >> 0u) & 0x03u));
}

uint8_t  Get_ID_18FE4F0B_Sig_VDC_Brake_Light_quest(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18FE4F0B_Msg_Count, 0u) >> 4u) & 0x03u));
}

uint8_t  Get_ID_18FE4F0B_Sig_VDC_Lamp_State(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18FE4F0B_Msg_Count, 0u) >> 0u) & 0x03u));
}

uint8_t  Get_ID_189116EF_Sig_Reverse_Prompt_Enable_Output(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x189116EF_Msg_Count, 4u) >> 4u) & 0x01u));
}

uint8_t  Get_ID_189116EF_Sig_Brake_Light_Signal_Output(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x189116EF_Msg_Count, 6u) >> 1u) & 0x01u));
}

uint8_t  Get_ID_18FF31E0_Sig_Right_Turn_Signal_Switch(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18FF31E0_Msg_Count, 0u) >> 0u) & 0x03u));
}

uint8_t  Get_ID_0CFE5A2F_Sig_ECAS_Kneeling_Work_Light(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x0CFE5A2F_Msg_Count, 3u) >> 0u) & 0x0Fu));
}

uint8_t  Get_ID_18FF4AEF_Sig_Power_On_High_Voltage_Indicator(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18FF4AEF_Msg_Count, 0u) >> 0u) & 0x03u));
}

uint8_t  Get_ID_18FF4AEF_Sig_Reverse_Gear_Signal(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18FF4AEF_Msg_Count, 6u) >> 0u) & 0x0Fu));
}

uint8_t  Get_ID_18FFFE9C_Sig_LowBeamHeadlightControlOutput(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18FFFE9C_Msg_Count, 2u) >> 1u) & 0x01u));
}

uint8_t  Get_ID_18FFFE9C_Sig_Small_Lamp_Control_Output(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18FFFE9C_Msg_Count, 2u) >> 0u) & 0x01u));
}

uint8_t  Get_ID_18FF0321_Sig_AirCompressorEnable(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18FF0321_Msg_Count, 1u) >> 6u) & 0x03u));
}

uint8_t  Get_ID_18FF0321_Sig_RearFogLamp(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18FF0321_Msg_Count, 1u) >> 4u) & 0x03u));
}

uint8_t  Get_ID_18FF0321_Sig_FogLamp(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18FF0321_Msg_Count, 1u) >> 2u) & 0x03u));
}

uint8_t  Get_ID_18FF0321_Sig_highBeam(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18FF0321_Msg_Count, 1u) >> 0u) & 0x03u));
}

uint8_t  Get_ID_18FF0321_Sig_LowBeam(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18FF0321_Msg_Count, 0u) >> 6u) & 0x03u));
}

uint8_t  Get_ID_18FF0321_Sig_LeftFrontTurnSignal(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18FF0321_Msg_Count, 0u) >> 4u) & 0x03u));
}

uint8_t  Get_ID_18FF0321_Sig_TurnLampRightFront(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18FF0321_Msg_Count, 0u) >> 2u) & 0x03u));
}

uint8_t  Get_ID_18FF0321_Sig_PositionLights(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18FF0321_Msg_Count, 0u) >> 0u) & 0x03u));
}

uint8_t  Get_ID_18FF0221_Sig_BarometerSensor2(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18FF0221_Msg_Count, 2u) >> 0u) & 0xFFu));
}

uint8_t  Get_ID_18FF0221_Sig_BarometerSensor1(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18FF0221_Msg_Count, 1u) >> 0u) & 0xFFu));
}

uint8_t  Get_ID_18FF0221_Sig_FuelLevelSensor(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18FF0221_Msg_Count, 0u) >> 0u) & 0xFFu));
}

uint8_t  Get_ID_18FF0121_Sig_GetOffNotificationBellStopLight(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18FF0121_Msg_Count, 1u) >> 6u) & 0x03u));
}

uint8_t  Get_ID_18FF0121_Sig_MiddleDoorLocking(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18FF0121_Msg_Count, 3u) >> 6u) & 0x03u));
}

uint8_t  Get_ID_18FF0121_Sig_FrontDoorLocking(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18FF0121_Msg_Count, 3u) >> 4u) & 0x03u));
}

uint8_t  Get_ID_18FF0121_Sig_MiddleDoorEmergencyValve(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18FF0121_Msg_Count, 3u) >> 2u) & 0x03u));
}

uint8_t  Get_ID_18FF0121_Sig_MiddleDoorEmergencyValveCover(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18FF0121_Msg_Count, 3u) >> 0u) & 0x03u));
}

uint8_t  Get_ID_18FF0121_Sig_MotorLowWaterLevelAlarmSwitch(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18FF0121_Msg_Count, 2u) >> 6u) & 0x03u));
}

uint8_t  Get_ID_18FF0121_Sig_CoolingWaterLevelTooLow(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18FF0121_Msg_Count, 2u) >> 4u) & 0x03u));
}

uint8_t  Get_ID_18FF0121_Sig_Middle_Door_Open_Signal(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18FF0121_Msg_Count, 2u) >> 2u) & 0x03u));
}

uint8_t  Get_ID_18FF0121_Sig_Front_Door_Open_Signal(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18FF0121_Msg_Count, 2u) >> 0u) & 0x03u));
}

uint8_t  Get_ID_18FF0121_Sig_Release_Door_Open_Brake_Command(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18FF0121_Msg_Count, 0u) >> 2u) & 0x03u));
}

uint8_t  Get_ID_18FF0121_Sig_Front_Door_Trip_Valve_Spin_Alarm(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18FF0121_Msg_Count, 1u) >> 2u) & 0x03u));
}

uint8_t  Get_ID_18FF0121_Sig_Front_Door_Trip_Valve_Open_Alarm(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18FF0121_Msg_Count, 1u) >> 0u) & 0x03u));
}

uint8_t  Get_ID_18FF0121_Sig_Battery_Compartment_TEM_Alarm(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18FF0121_Msg_Count, 0u) >> 0u) & 0x03u));
}

uint8_t  Get_ID_18FF0121_Sig_Driver_Seatbele_Not_Fastened(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18FF0121_Msg_Count, 0u) >> 4u) & 0x03u));
}

uint8_t  Get_ID_18FF0121_Sig_Driver_Departure_Warning(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18FF0121_Msg_Count, 0u) >> 6u) & 0x03u));
}

uint8_t  Get_ID_18FF0121_Sig_Door_Pump_Low_Air_Pressure_alarm(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18FF0121_Msg_Count, 1u) >> 4u) & 0x03u));
}

uint8_t  Get_ID_18FAB017_Sig_Wiper_Sensitivity(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18FAB017_Msg_Count, 0u) >> 2u) & 0x03u));
}

uint8_t  Get_ID_18FAB017_Sig_Wiper_Reset(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18FAB017_Msg_Count, 0u) >> 1u) & 0x01u));
}

uint8_t  Get_ID_18FAB017_Sig_Washing_Switch(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18FAB017_Msg_Count, 0u) >> 6u) & 0x01u));
}

uint8_t  Get_ID_18FAB017_Sig_Speed(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18FAB017_Msg_Count, 1u) >> 0u) & 0xFFu));
}

uint8_t  Get_ID_18FAB017_Sig_Automatic_Rainfall(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18FAB017_Msg_Count, 0u) >> 0u) & 0x01u));
}

uint8_t  Get_ID_18FAB017_Sig_Automatic_Lighting(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18FAB017_Msg_Count, 0u) >> 7u) & 0x01u));
}

uint8_t  Get_ID_18FAB017_Sig_Manual_State_Of_Wiper(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18FAB017_Msg_Count, 0u) >> 4u) & 0x03u));
}

uint8_t  Get_ID_0CD22F27_Sig_Nominal_Level_Request_Rear_Axle(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x0CD22F27_Msg_Count, 1u) >> 4u) & 0x0Fu));
}

uint8_t  Get_ID_0CD22F27_Sig_Nominal_Level_Request_Front_Axle(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x0CD22F27_Msg_Count, 1u) >> 0u) & 0x0Fu));
}

uint8_t  Get_ID_0CD22F27_Sig_Kneeling_Requestright_Side(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x0CD22F27_Msg_Count, 0u) >> 4u) & 0x03u));
}

uint8_t  Get_ID_1CFEC317_Sig_Reverse_Gear_Signal(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x1CFEC317_Msg_Count, 1u) >> 0u) & 0x03u));
}

uint8_t  Get_ID_0CFDCC17_Sig_Turn_Signal(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x0CFDCC17_Msg_Count, 1u) >> 0u) & 0x0Fu));
}

uint8_t  Get_ID_0CFDCC17_Sig_Hazard_Indicator_Light(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x0CFDCC17_Msg_Count, 1u) >> 4u) & 0x03u));
}

uint8_t  Get_ID_0CFDCC17_Sig_High_And_Low_Beam_Lighes(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x0CFDCC17_Msg_Count, 1u) >> 6u) & 0x03u));
}

uint8_t  Get_ID_18F10217_Sig_Air_Compressor_Forced_Switch(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18F10217_Msg_Count, 1u) >> 4u) & 0x03u));
}

uint8_t  Get_ID_18F10217_Sig_Economic_Mode(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18F10217_Msg_Count, 4u) >> 3u) & 0x01u));
}

uint8_t  Get_ID_18F10217_Sig_Sports_Mode(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18F10217_Msg_Count, 3u) >> 6u) & 0x01u));
}

uint8_t  Get_ID_18F10217_Sig_Snow_Mode(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18F10217_Msg_Count, 3u) >> 7u) & 0x01u));
}

uint8_t  Get_ID_18F10217_Sig_Front_Door_Solenoid_Valve_Close(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18F10217_Msg_Count, 0u) >> 3u) & 0x01u));
}

uint8_t  Get_ID_18F10217_Sig_Middle_Door_Open_Status(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18F10217_Msg_Count, 1u) >> 1u) & 0x01u));
}

uint8_t  Get_ID_18F10217_Sig_Middle_Door_Solenoid_Valve_Open(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18F10217_Msg_Count, 0u) >> 6u) & 0x01u));
}

uint8_t  Get_ID_18F10217_Sig_Middle_Door_Close(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18F10217_Msg_Count, 0u) >> 7u) & 0x01u));
}

uint8_t  Get_ID_18F10217_Sig_Middle_Door_Open(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18F10217_Msg_Count, 0u) >> 5u) & 0x01u));
}

uint8_t  Get_ID_18F10217_Sig_Front_Door_Open_Status(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18F10217_Msg_Count, 0u) >> 4u) & 0x01u));
}

uint8_t  Get_ID_18F10217_Sig_Middle_Door_Solenoid_Valve_Close(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18F10217_Msg_Count, 1u) >> 0u) & 0x01u));
}

uint8_t  Get_ID_18F10217_Sig_Front_Door_Close(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18F10217_Msg_Count, 0u) >> 2u) & 0x01u));
}

uint8_t  Get_ID_18F10217_Sig_Front_Door_Solenoid_Valve_Open(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18F10217_Msg_Count, 0u) >> 1u) & 0x01u));
}

uint8_t  Get_ID_18F10217_Sig_Front_Door_Open(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18F10217_Msg_Count, 0u) >> 0u) & 0x01u));
}

uint8_t  Get_ID_18FEAE30_Sig_Front_Air_Reservoir_Pressure(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18FEAE30_Msg_Count, 3u) >> 0u) & 0xFFu));
}

uint8_t  Get_ID_18FEAE30_Sig_Rear_Air_Reservoir_Pressure(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18FEAE30_Msg_Count, 2u) >> 0u) & 0xFFu));
}

uint8_t  Get_ID_18FEAE17_Sig_Front_Air_Reservoir_Pressure(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18FEAE17_Msg_Count, 3u) >> 0u) & 0xFFu));
}

uint8_t  Get_ID_18FEAE17_Sig_Rear_Air_Reservoir_Pressure(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18FEAE17_Msg_Count, 2u) >> 0u) & 0xFFu));
}

uint8_t  Get_ID_18F10117_Sig_Seat_Belt_Status(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18F10117_Msg_Count, 5u) >> 0u) & 0x03u));
}

uint8_t  Get_ID_18F10117_Sig_Right_Middle_Passenger_Door(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18F10117_Msg_Count, 3u) >> 6u) & 0x03u));
}

uint8_t  Get_ID_18F10117_Sig_Rear_Cabin_Door_Status(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18F10117_Msg_Count, 3u) >> 4u) & 0x03u));
}

uint8_t  Get_ID_18F10117_Sig_Turn_Signal(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18F10117_Msg_Count, 3u) >> 2u) & 0x03u));
}

uint8_t  Get_ID_18F10117_Sig_Right_Front_Passenger_Door(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18F10117_Msg_Count, 3u) >> 0u) & 0x03u));
}

uint8_t  Get_ID_18F10117_Sig_Passenger_Door(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18F10117_Msg_Count, 2u) >> 6u) & 0x03u));
}

uint8_t  Get_ID_18F10117_Sig_Air_Compressor_Switch(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18F10117_Msg_Count, 1u) >> 4u) & 0x03u));
}

uint8_t  Get_ID_18F10117_Sig_Condenser_Power_Output(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18F10117_Msg_Count, 1u) >> 2u) & 0x03u));
}

uint8_t  Get_ID_18F10117_Sig_Charging_Door_Interlock(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18F10117_Msg_Count, 1u) >> 0u) & 0x03u));
}

uint8_t  Get_ID_18F10117_Sig_Rear_Cabin_Door_Interlock(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18F10117_Msg_Count, 0u) >> 6u) & 0x03u));
}

uint8_t  Get_ID_18F10117_Sig_Air_Pump_Signal(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18F10117_Msg_Count, 0u) >> 4u) & 0x03u));
}

uint8_t  Get_ID_18F10117_Sig_Dryer_Exhaust_Signal(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18F10117_Msg_Count, 0u) >> 2u) & 0x03u));
}

uint8_t  Get_ID_18FEF100_Sig_Brake(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18FEF100_Msg_Count, 3u) >> 4u) & 0x03u));
}

uint16_t Get_ID_18FEF100_Sig_Dash_VehicleSpeed(void)
{
    return (((uint16_t)((uint16_t)((uint16_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18FEF100_Msg_Count, 2u) >> 0u) & 0xFFu) << 8u) + \
    ((uint16_t)((uint16_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18FEF100_Msg_Count, 1u) >> 0u) & 0xFFu));
}

uint8_t  Get_ID_18FEF100_Sig_Parking_Brake(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18FEF100_Msg_Count, 0u) >> 2u) & 0x03u));
}

uint8_t  Get_ID_18FE17EF_Sig_Rear_Cabin_Door_Status(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18FE17EF_Msg_Count, 6u) >> 0u) & 0x03u));
}

uint16_t Get_ID_18FE17EF_Sig_Speed(void)
{
    return (((uint16_t)((uint16_t)((uint16_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18FE17EF_Msg_Count, 1u) >> 0u) & 0xFFu) << 8u) + \
    ((uint16_t)((uint16_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18FE17EF_Msg_Count, 0u) >> 0u) & 0xFFu));
}

uint8_t  Get_ID_18FEF117_Sig_Brake(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18FEF117_Msg_Count, 3u) >> 4u) & 0x03u));
}

uint16_t Get_ID_18FEF117_Sig_Dash_VehicleSpeed(void)
{
    return (((uint16_t)((uint16_t)((uint16_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18FEF117_Msg_Count, 2u) >> 0u) & 0xFFu) << 8u) + \
    ((uint16_t)((uint16_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18FEF117_Msg_Count, 1u) >> 0u) & 0xFFu));
}

uint8_t  Get_ID_18FEF117_Sig_Parking_Brake(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18FEF117_Msg_Count, 0u) >> 2u) & 0x03u));
}

uint8_t  Get_ID_18FFA017_Sig_Disabled_Step_Board_Indication(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18FFA017_Msg_Count, 2u) >> 0u) & 0x03u));
}

uint8_t  Get_ID_18FFA017_Sig_Front_Door_External_Switch(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18FFA017_Msg_Count, 0u) >> 2u) & 0x03u));
}

uint8_t  Get_ID_18FFA017_Sig_Emergency_Valve_Alarm_Switch(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18FFA017_Msg_Count, 2u) >> 2u) & 0x03u));
}

uint8_t  Get_ID_18FFA017_Sig_Emergency_Switch(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18FFA017_Msg_Count, 1u) >> 2u) & 0x03u));
}

uint8_t  Get_ID_18FFA017_Sig_Main_Power_Switch(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18FFA017_Msg_Count, 0u) >> 0u) & 0x03u));
}

uint8_t  Get_ID_18FFA017_Sig_Charging_Door_Open(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18FFA017_Msg_Count, 1u) >> 6u) & 0x03u));
}

uint8_t  Get_ID_18FFA017_Sig_Danger_Lights(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18FFA017_Msg_Count, 0u) >> 6u) & 0x03u));
}

uint8_t  Get_ID_18FFA017_Sig_Hand_Brake(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18FFA017_Msg_Count, 1u) >> 4u) & 0x03u));
}

uint8_t  Get_ID_18FFA017_Sig_Instrument_Igon_Wake_Up_Power(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18FFA017_Msg_Count, 0u) >> 4u) & 0x03u));
}
uint8_t  Get_ID_18000000_Sig_PC_Control_U16_Power(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18000000_Msg_Count, 0u) >> 0u) & 0x01u));
}
uint8_t  Get_ID_18000000_Sig_PC_Control_U48_Power(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18000000_Msg_Count, 0u) >> 1u) & 0x01u));
}
uint16_t  Get_ID_18000000_Sig_PC_Control_U48_CurrentControlSet(void)
{
    return (((uint16_t)((uint16_t)((uint16_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18000000_Msg_Count, 2u) >> 0u) & 0xFFu) << 8u) + \
    ((uint16_t)((uint16_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18000000_Msg_Count, 1u) >> 0u) & 0xFFu));
}
uint8_t  Get_ID_18000000_Sig_PC_Control_U48_LOW(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18000000_Msg_Count, 1u) >> 0u) & 0x07u));
}
uint8_t  Get_ID_18000000_Sig_PC_Control_U48_HIGH(void)
{
    return (((uint8_t)((uint8_t)CAN_MSG_Read(CAN_CH0,ID_ID0x18000000_Msg_Count, 1u) >> 3u) & 0x01u));
}

uint8_t  Co_Can_ConvertSubID_CAN_CH0(uint32_t MsgID)
{
    uint8_t u8Result = CAN_CH0_ID_TOTAL_MAX;
    switch (MsgID)
    {
    case ID_ID0x18FF30E1_Msg:
        u8Result = ID_ID0x18FF30E1_Msg_Count;
        break;
    case ID_ID0x18FE4F0B_Msg:
        u8Result = ID_ID0x18FE4F0B_Msg_Count;
        break;
    case ID_ID0x189116EF_Msg:
        u8Result = ID_ID0x189116EF_Msg_Count;
        break;
    case ID_ID0x18FF31E0_Msg:
        u8Result = ID_ID0x18FF31E0_Msg_Count;
        break;
    case ID_ID0x0CFE5A2F_Msg:
        u8Result = ID_ID0x0CFE5A2F_Msg_Count;
        break;
    case ID_ID0x18FF4AEF_Msg:
        u8Result = ID_ID0x18FF4AEF_Msg_Count;
        break;
    case ID_ID0x18FFFE9C_Msg:
        u8Result = ID_ID0x18FFFE9C_Msg_Count;
        break;
    case ID_ID0x18FF0321_Msg:
        u8Result = ID_ID0x18FF0321_Msg_Count;
        break;
    case ID_ID0x18FF0221_Msg:
        u8Result = ID_ID0x18FF0221_Msg_Count;
        break;
    case ID_ID0x18FF0121_Msg:
        u8Result = ID_ID0x18FF0121_Msg_Count;
        break;
    case ID_ID0x18FAB017_Msg:
        u8Result = ID_ID0x18FAB017_Msg_Count;
        break;
    case ID_ID0x0CD22F27_Msg:
        u8Result = ID_ID0x0CD22F27_Msg_Count;
        break;
    case ID_ID0x1CFEC317_Msg:
        u8Result = ID_ID0x1CFEC317_Msg_Count;
        break;
    case ID_ID0x0CFDCC17_Msg:
        u8Result = ID_ID0x0CFDCC17_Msg_Count;
        break;
    case ID_ID0x18F10217_Msg:
        u8Result = ID_ID0x18F10217_Msg_Count;
        break;
    case ID_ID0x18FEAE30_Msg:
        u8Result = ID_ID0x18FEAE30_Msg_Count;
        break;
    case ID_ID0x18FEAE17_Msg:
        u8Result = ID_ID0x18FEAE17_Msg_Count;
        break;
    case ID_ID0x18F10117_Msg:
        u8Result = ID_ID0x18F10117_Msg_Count;
        break;
    case ID_ID0x18FEF100_Msg:
        u8Result = ID_ID0x18FEF100_Msg_Count;
        break;
    case ID_ID0x18FE17EF_Msg:
        u8Result = ID_ID0x18FE17EF_Msg_Count;
        break;
    case ID_ID0x18FEF117_Msg:
        u8Result = ID_ID0x18FEF117_Msg_Count;
        break;
    case ID_ID0x18FFA017_Msg:
        u8Result = ID_ID0x18FFA017_Msg_Count;
        break;
    case ID_ID0x18000000_Msg:
        u8Result = ID_ID0x18000000_Msg_Count;
        break;
    default :
        u8Result = CAN_CH0_ID_TOTAL_MAX;
        break;
    }
    return u8Result;
}

